<?php

function papilia_get_payments_list() {
$ret_url = array('query' => 'destination=admin/settings/papilia/list');

  $trxs = papilia_get_transactions() ; //Defined in .module file
  
  $out  = '<div ="papilia_payments_management">';
  
  $out .= '<div ="papilia_payments_listing">';  

  if (sizeof($trxs)>0) {
    $out .= "
      <table class=\"papilia_payment_list\">
      <tr>
        <th><b>". t("Date") ."</b></th>
        <th><b>". t("Ref Num") ."</b></th>        
        <th><b>". t("Donor") ."</b></th>                
        <th><b>". t("Amount") ."</b></th>                        
        <th><b>". t("Campaign") ."</b></th>
      </tr>
    ";
    
    foreach ( $trxs as $obj ) {
      $out .="<tr>";
      $out .= "<td>". date('M j Y H:i', $obj->processed) ."</td>";
      $out .= "<td>". $obj->tx_refnum ."</td>";      
      $out .= "<td>". $obj->donor_name ."</td>";            
      $out .= "<td>". $obj->amount . ' ' . $obj->currency ."</td>";                  
      $out .= "<td>". $obj->campaign ."</td>";                        
      $out .= "</tr>";    
    }
    
    $out .= "</table>";
  }
  else { // no campaigns, yet
    $out .= t("No payments have been made yet.");
  }
  $out .= '</div>';
    
  $out .= '</div>';
  
  return $out;

}

/**
* @TODO: implement pagination
*/
function papilia_get_transactions( $page = 0) {

  $query = "SELECT tx.*, n.title as campaign  
            FROM {papilia_transaction} tx
            LEFT JOIN {node} n ON tx.nid = n.nid AND tx.vid=n.vid
            ORDER BY processed DESC";
  
  $page_size = 80;
  $start = $page * $page_size;
  
  $res = db_query_range($query, array(), $start, $page_size);
  
  $objects = array();
  
  while ($row = db_fetch_object($res)) {
    $objects[]  = $row;
  }
  
  return $objects;
  
}