<?php

function papilia_currency_form(&$node, &$form) {

  return $form;
}

function papilia_currency_list() {

  $ret_url = array('query' => 'destination=admin/settings/papilia/currencies');

  $currencies = papilia_get_currencies();
     
  $out  = '<div ="papilia_currency_management">';
  
  $out .= '<div ="papilia_currencies_listing">';  

  if (sizeof($currencies)>0) {
    $out .= "
      <table>
      <tr>
        <th><b>". t("Name") ."</b></th>
        <th colspan=\"2\" align=\"center\"><b>". t("Control") ."</b></th>                      
      </tr>
    ";
  
    foreach ( $currencies as $obj ) {
      $out .="<tr>";
      $out .= "<td>". $obj->title ."</td>";
      $out .= "<td>". l(t('Edit'), 'node/'. $obj->nid .'/edit', $ret_url) ."</td>"; 
      $out .= "<td>". l(t('Delete'), 'node/'. $obj->nid .'/delete', $ret_url) ."</td>";         
      $out .= "</tr>";    
    }
    
    $out .= "</table>";
  }
  else { // no currencies, yet
    $out .= t("Currencies list is empty, at this point.");
  }
  $out .= '</div>';
    
  $out .= '[ ' . l(t('Add Currency'), 'node/add/papilia-currency', $ret_url) . ' ]';
  $out .= '</div>';
  
  return $out;

}