<?php
function papilia_fund_form(&$node, &$form) {

  return $form;

}

function papilia_fund_list() {

  $ret_url = array('query' => 'destination=admin/settings/papilia/funds');

  $funds = papilia_get_funds();
  
  $out  = '<div ="papilia_funds_management">';
  
  $out .= '<div ="papilia_funds_listing">';  

  if (sizeof($funds)>0) {
    $out .= "
      <table>
      <tr>
        <th><b>". t("Title") ."</b></th>
        <th colspan=\"2\" align=\"center\"><b>". t("Control") ."</b></th>                      
      </tr>
    ";
  
    foreach ( $funds as $obj ) {
      $out .="<tr>";
      $out .= "<td>". $obj->title ."</td>";
      $out .= "<td>". l(t('Edit'), 'node/'. $obj->nid .'/edit', $ret_url) ."</td>"; 
      $out .= "<td>". l(t('Delete'), 'node/'. $obj->nid .'/delete', $ret_url) ."</td>";         
      $out .= "</tr>";    
    }
    
    $out .= "</table>";
  }
  else { // no funds, yet
    $out .= t("Funds list is empty, at this point.");
  }
  $out .= '</div>';
    
  $out .= '[ ' . l(t('Add Fund'), 'node/add/papilia-fund', $ret_url) . ' ]';
  $out .= '</div>';
  
  return $out;

}