<?php
// $Id: papilia.client.inc,v 1.1.2.2.2.3 2009/06/08 04:56:18 lashad Exp $

/**
 * @file papilia client
 *
 */
 
/**
* @test_mode
*   'true' or 'false'
*/
function papilia_make_call( $data, $test_mode = 'true' ) {
  global $language;
  if (isset($language->language)) {
    $data['LANGUAGES']=$language->language;
  }

  /*
  * $HOST    = "https://secure.preprod.papilia.com:8443"; //Preprod
  * $HOST = "https://secure.staging.papilia.com:8443"; //Staging
  */
  $HOST = 'https://secure.my-websites.org'; //Prod
  $URI     = "/supporter/donationapi.do";
  $query    = array(
    'n' => get_papilia_mangled_id(),
    'dftm' => $test_mode,
    'dfdbid' => $data['campaign_node']->dfdbid,
  );
  $query_enc = http_build_query($query, '', '&');
  
  $URI .= "?" . $query_enc;
  
  $URL = $HOST . $URI;
    
  $headers = array(
    'Content-Type' => 'application/x-www-form-urlencoded',
    'X-Forwarded-For' => ip_address(),   
    'accept-language' => $language->language, 
  );
  $method  = 'POST';
  
  $data['API_SIGNATURE'] = get_papilia_api_signature();
  
  /*$data    = array(
    'API_SIGNATURE' => get_papilia_api_signature(),
    'AMT' => '1.00',
    'TYPE' => 'C/visa',
    'ACCT' => '4444',
    'EXPDATE' => '0220',
    'NAME' => 'Picktek LLC',
    'CVV2' => '033',
    'EMAIL' => 'luka@picktek.com',
    'STREET' => '41 Vazha Pshavela ave',
    'ZIP' => '0177',
    'CITY' => 'Tbilisi',
    'COUNTRY' => 'GE',
    'CURRENCY' => 'USD',    
  );**/
  
  $data_enc = http_build_query($data, '', '&');
  $ret      = drupal_http_request($HOST . $URI, $headers, $method, $data_enc);
  
  return $ret;
  
}
